'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = gulpPug;

var _through = require('through2');

var _through2 = _interopRequireDefault(_through);

var _pug = require('pug');

var _pug2 = _interopRequireDefault(_pug);

var _path = require('path');

var _gulpUtil = require('gulp-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function gulpPug() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  return _through2.default.obj(function stream(original, enc, callback) {
    var error = null;
    var contents = null;

    if (original.isBuffer()) {
      contents = _pug2.default.compile(original.contents.toString(), opts)(opts.locals);
    } else {
      error = new _gulpUtil.PluginError('gulp-pug', 'Unsupported file content');
    }

    var file = original.clone({
      contents: new Buffer(contents),
      extname: '.html'
    });
    callback(error, file);
  });
};
module.exports = exports['default'];